Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005129OCamlCamlp4public2010-08-19 16:222012-09-25 20:06
ReporterHendrik Tews 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005129: camlp4of differs from camlp4 -parser of
Descriptioncamlp4of is linked with Camlp4QuotationExpander and is thus reflective. camlp4 -parser of loads Camlp4OCamlRevisedQuotationExpander and is therefore not reflective.

Fix change pa_rq into pa_q in the line matching "of" in Camlp4Bin.rewrite_and_load.
TagsNo tags attached.
Attached Files

- Relationships
related to 0005134closedxclerc camlp4r differs from camlp4 -parser rp 
related to 0005071closedxclerc "camlp4 -parser r -parser rp" accept original syntax, not equivalent to camlp4r 

-  Notes
(0005643)
Hendrik Tews (reporter)
2010-08-23 16:08

... and camlp4of has quotations in original syntax while camlp4 -parser of has quotations in the revised syntax!

- Issue History
Date Modified Username Field Change
2010-08-19 16:22 Hendrik Tews New Issue
2010-08-19 16:22 Hendrik Tews Status new => assigned
2010-08-19 16:22 Hendrik Tews Assigned To => ertai
2010-08-23 16:08 Hendrik Tews Note Added: 0005643
2011-02-15 14:59 xclerc Assigned To ertai => xclerc
2011-02-15 15:00 xclerc Relationship added related to 0005134
2011-02-15 15:13 xclerc Status assigned => resolved
2011-02-15 15:13 xclerc Fixed in Version => 3.12.1+dev
2011-02-15 15:13 xclerc Resolution open => fixed
2011-02-15 15:16 xclerc Relationship added related to 0005071
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker